Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class ConfigTrackPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.ConfigTrackPlugin

Direct Known Subclasses:
  ConfigFileTrackPlugin

public abstract class ConfigTrackPlugin
extends GenericPlugin

Field Summary

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`ConfigTrackPlugin()`

Method Summary
`ConfigSchema` `getConfigSchema(TypeInfo info, ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`protected ConfigOption` `getEnableOption(TypeInfo info, ConfigResponse config)`
`ConfigTrackPluginManager` `getManager()`
`void` `init(PluginManager manager)` Called when the plugin is loaded on the server and on the agent side.
`static boolean` `isEnabled(ConfigResponse config, int type)`

Methods inherited from class net.hyperic.hq.product.GenericPlugin

`configure, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigTrackPlugin

    public ConfigTrackPlugin()

Method Detail

### isEnabled

    public static boolean isEnabled(ConfigResponse config,
                                    int type)

### getEnableOption

    protected ConfigOption getEnableOption(TypeInfo info,
                                           ConfigResponse config)

### getConfigSchema

    public ConfigSchema getConfigSchema(TypeInfo info,
                                        ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `GenericPlugin`
  Parameters:
    `info` - The TypeInfo of this plugin from ProductPlugin.getTypes
    `config` - ConfigReponse of the parent resource (if any).
  Returns:
    ConfigSchema for this resource.

### init

    public void init(PluginManager manager)
              throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the plugin is loaded on the server and on the agent side.

  Overrides:
    `init` in class `GenericPlugin`
  Parameters:
    `manager` - The plugin manager for this plugin type.
  Throws:
    `PluginException`

### getManager

    public ConfigTrackPluginManager getManager()

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.